# 32/64bit spec-file
#
%define version	0.5.3
%define cvs	20080207
%if %cvs
%define release	%mkrel 0.%cvs.2
%else
%define release	%mkrel 3
%endif

%define scim_version 1.4.14

Name:		scim-skk
Summary:	SCIM IMEngine module for skk
Version:	%{version}
Release:	%mkrel 3
Group:		System/Internationalization
License:	GPL+
URL:		http://sourceforge.jp/projects/scim-imengine/
%if %cvs
Source0:	%{name}-%{cvs}.tar.xz
%else
Source0:	http://prdownloads.sourceforge.jp/scim-imengine/18121/%{name}-%{version}.tar.xz
%endif
Patch1:		scim-skk-fix-linkage.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	skkdic
BuildRequires:	scim-devel >= %{scim_version}
BuildRequires:	automake %{_lib}ltdl-devel
Obsoletes:	%{mklibname scim-skk 0}

%description
Scim-skk is an SCIM IMEngine module for skk.
It supports Japanese input.

%prep
%if %cvs
%setup -q -n %name
%else
%setup -q
%endif
%patch1 -p0

%build
%if %cvs
./bootstrap
%endif

%configure2_5x --disable-rpath --disable-ltdl-install --without-included-ltdl
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{_libdir}/scim-1.0/1.4.0/*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README README.ja
%{_datadir}/scim/icons/*
%{_datadir}/scim/SKK/style/*.sty
%{_libdir}/scim-1.0/1.4.0/IMEngine/*.so
%{_libdir}/scim-1.0/1.4.0/SetupUI/*.so


%changelog
* Fri Nov 08 2013 pinoc <vogtpet at gmail.com> 0.5.3-3pclos2013
- rebuilt against new scim

* Mon Feb 04 2013 pinoc <vogtpet at gmail.com> 0.5.3-2pclos2013
- rebuild on 64

* Wed May 12 2010 Texstar <texstar at gmail.com> 0.5.3-1pclos2010
- update for 2010 release

